﻿// <auto-generated />
using System;
using BeerOverflow.Database;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace BeerOverflow.Database.Migrations
{
    [DbContext(typeof(DBContext))]
    [Migration("20210112204555_Initial")]
    partial class Initial
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.9")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("BeerOverflow.Models.Beer", b =>
                {
                    b.Property<int>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ABV")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("BreweryID")
                        .HasColumnType("int");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DeletedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("nvarchar(551)")
                        .HasMaxLength(551);

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<DateTime?>("ModifiedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(23)")
                        .HasMaxLength(23);

                    b.Property<int>("Rating")
                        .HasColumnType("int");

                    b.Property<int?>("RatingID")
                        .HasColumnType("int");

                    b.Property<int?>("ReviewID")
                        .HasColumnType("int");

                    b.Property<int?>("StyleID")
                        .HasColumnType("int");

                    b.HasKey("ID");

                    b.HasIndex("BreweryID");

                    b.HasIndex("StyleID");

                    b.ToTable("Beers");

                    b.HasData(
                        new
                        {
                            ID = 1,
                            ABV = "4.1% (cask and keg); 4.7% (bottled)",
                            BreweryID = 6,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 428, DateTimeKind.Utc).AddTicks(3585),
                            Description = "It’s a beautiful thing to be able to pour your own pint of Pride - and this 5 litre mini-keg, keeps the beers    flowing freely. It holds no fewer than 8 pints of our revered London Pride and represents the ultimate way to enjoy the    nation’s favourite ale at home.",
                            IsDeleted = false,
                            Name = "London Pride",
                            Rating = 0,
                            StyleID = 8
                        },
                        new
                        {
                            ID = 2,
                            ABV = "4.5%",
                            BreweryID = 6,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 428, DateTimeKind.Utc).AddTicks(8914),
                            Description = "Frontier is the first of its kind for Fuller’s, a craft lager that pushes the boundaries to deliver  refreshment, but not at the expense of flavour. Crafted for 42 days, using a blend of new world hops and old world brewing    techniques for a memorable tasting beer.",
                            IsDeleted = false,
                            Name = "Frontier",
                            Rating = 0,
                            StyleID = 4
                        },
                        new
                        {
                            ID = 3,
                            ABV = "5%",
                            BreweryID = 6,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 428, DateTimeKind.Utc).AddTicks(8980),
                            Description = "Fuller’s Organic Honey Dew is an award-winning, refreshingly golden beer bursting with subtle honey flavours.    Brewed using organic English malts and the finest organic honey, it has a sweet, mellow, rounded character, with a     delicious zesty edge from the English organic hops. Get this great organic beer delivered today!",
                            IsDeleted = false,
                            Name = "Honey Dew",
                            Rating = 0,
                            StyleID = 1
                        },
                        new
                        {
                            ID = 4,
                            ABV = "7.5%",
                            BreweryID = 5,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 428, DateTimeKind.Utc).AddTicks(8986),
                            Description = "FuFruit and caramel flavors begin, smoky notes and a vibrant bitterness follow. Where extra hops and a stronger alcohol percentage were once used to preserve the beer, allowing it to survive and thrive during long sea voyages, now they yield its bold taste and unique flavor profile.",
                            IsDeleted = false,
                            Name = "Guinness Foreign Ext",
                            Rating = 0,
                            StyleID = 7
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.Brewery", b =>
                {
                    b.Property<int>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("CountryID")
                        .HasColumnType("int");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DeletedOn")
                        .HasColumnType("datetime2");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<DateTime?>("ModifiedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(111)")
                        .HasMaxLength(111);

                    b.HasKey("ID");

                    b.HasIndex("CountryID");

                    b.ToTable("Breweries");

                    b.HasData(
                        new
                        {
                            ID = 1,
                            CountryID = 2,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 431, DateTimeKind.Utc).AddTicks(7896),
                            IsDeleted = false,
                            Name = "Jennings Brewery"
                        },
                        new
                        {
                            ID = 2,
                            CountryID = 4,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 432, DateTimeKind.Utc).AddTicks(462),
                            IsDeleted = false,
                            Name = "Heineken Hungaria"
                        },
                        new
                        {
                            ID = 3,
                            CountryID = 1,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 432, DateTimeKind.Utc).AddTicks(507),
                            IsDeleted = false,
                            Name = "De Proef Brouwerij"
                        },
                        new
                        {
                            ID = 4,
                            CountryID = 5,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 432, DateTimeKind.Utc).AddTicks(510),
                            IsDeleted = false,
                            Name = "Shumensko"
                        },
                        new
                        {
                            ID = 5,
                            CountryID = 6,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 432, DateTimeKind.Utc).AddTicks(513),
                            IsDeleted = false,
                            Name = "Guinness"
                        },
                        new
                        {
                            ID = 6,
                            CountryID = 2,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 432, DateTimeKind.Utc).AddTicks(516),
                            IsDeleted = false,
                            Name = "Fuller's"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.Country", b =>
                {
                    b.Property<int>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(111)")
                        .HasMaxLength(111);

                    b.HasKey("ID");

                    b.ToTable("Countries");

                    b.HasData(
                        new
                        {
                            ID = 1,
                            Name = "Belgium"
                        },
                        new
                        {
                            ID = 2,
                            Name = "United Kingdom"
                        },
                        new
                        {
                            ID = 3,
                            Name = "Germany"
                        },
                        new
                        {
                            ID = 4,
                            Name = "Hungary"
                        },
                        new
                        {
                            ID = 5,
                            Name = "Bulgaria"
                        },
                        new
                        {
                            ID = 6,
                            Name = "Republic of Ireland"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.DrankList", b =>
                {
                    b.Property<int>("BeerId")
                        .HasColumnType("int");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("BeerId", "UserId");

                    b.HasIndex("UserId");

                    b.ToTable("DrankList");

                    b.HasData(
                        new
                        {
                            BeerId = 3,
                            UserId = 1
                        },
                        new
                        {
                            BeerId = 1,
                            UserId = 2
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.Rating", b =>
                {
                    b.Property<int>("BeerID")
                        .HasColumnType("int");

                    b.Property<int>("UserID")
                        .HasColumnType("int");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DeletedOn")
                        .HasColumnType("datetime2");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<DateTime?>("ModifiedOn")
                        .HasColumnType("datetime2");

                    b.Property<int>("Value")
                        .HasColumnType("int");

                    b.HasKey("BeerID", "UserID");

                    b.HasIndex("UserID");

                    b.ToTable("Ratings");
                });

            modelBuilder.Entity("BeerOverflow.Models.Review", b =>
                {
                    b.Property<int?>("BeerID")
                        .HasColumnType("int");

                    b.Property<int?>("UserID")
                        .HasColumnType("int");

                    b.Property<string>("Body")
                        .IsRequired()
                        .HasColumnType("nvarchar(551)")
                        .HasMaxLength(551);

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DeletedOn")
                        .HasColumnType("datetime2");

                    b.Property<int>("ID")
                        .HasColumnType("int");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<int>("Likes")
                        .HasColumnType("int");

                    b.Property<DateTime?>("ModifiedOn")
                        .HasColumnType("datetime2");

                    b.HasKey("BeerID", "UserID");

                    b.HasIndex("UserID");

                    b.ToTable("Reviews");
                });

            modelBuilder.Entity("BeerOverflow.Models.Role", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex")
                        .HasFilter("[NormalizedName] IS NOT NULL");

                    b.ToTable("AspNetRoles");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            ConcurrencyStamp = "1f61177e-b3f3-4099-9c44-9943ee2a8bc1",
                            Name = "User",
                            NormalizedName = "USER"
                        },
                        new
                        {
                            Id = 2,
                            ConcurrencyStamp = "271b7eba-a5bb-4a09-a49b-d7400288cc79",
                            Name = "Admin",
                            NormalizedName = "ADMIN"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.Style", b =>
                {
                    b.Property<int>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<DateTime?>("DeletedOn")
                        .HasColumnType("datetime2");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<DateTime?>("ModifiedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(111)")
                        .HasMaxLength(111);

                    b.HasKey("ID");

                    b.ToTable("Styles");

                    b.HasData(
                        new
                        {
                            ID = 1,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 431, DateTimeKind.Utc).AddTicks(406),
                            IsDeleted = false,
                            Name = "Classic English-Style Pale Ale"
                        },
                        new
                        {
                            ID = 2,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 431, DateTimeKind.Utc).AddTicks(2216),
                            IsDeleted = false,
                            Name = "Dark American-Belgo-Style Ale"
                        },
                        new
                        {
                            ID = 3,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 431, DateTimeKind.Utc).AddTicks(2249),
                            IsDeleted = false,
                            Name = "Scotch Ale"
                        },
                        new
                        {
                            ID = 4,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 431, DateTimeKind.Utc).AddTicks(2253),
                            IsDeleted = false,
                            Name = "Lager"
                        },
                        new
                        {
                            ID = 5,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 431, DateTimeKind.Utc).AddTicks(2256),
                            IsDeleted = false,
                            Name = "Weiss"
                        },
                        new
                        {
                            ID = 6,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 431, DateTimeKind.Utc).AddTicks(2258),
                            IsDeleted = false,
                            Name = "IPA"
                        },
                        new
                        {
                            ID = 7,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 431, DateTimeKind.Utc).AddTicks(2261),
                            IsDeleted = false,
                            Name = "Stout"
                        },
                        new
                        {
                            ID = 8,
                            CreatedOn = new DateTime(2021, 1, 12, 20, 45, 54, 431, DateTimeKind.Utc).AddTicks(2264),
                            IsDeleted = false,
                            Name = "Bitter - English"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("int");

                    b.Property<int>("Age")
                        .HasColumnType("int");

                    b.Property<string>("BanDescription")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("BannedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("bit");

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(111)")
                        .HasMaxLength(111);

                    b.Property<string>("NormalizedEmail")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("bit");

                    b.Property<int?>("RatingID")
                        .HasColumnType("int");

                    b.Property<int?>("ReviewID")
                        .HasColumnType("int");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("bit");

                    b.Property<DateTime>("UnbannedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("UserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex")
                        .HasFilter("[NormalizedUserName] IS NOT NULL");

                    b.ToTable("AspNetUsers");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            AccessFailedCount = 0,
                            Age = 32,
                            BannedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            ConcurrencyStamp = "cd84b04d-e879-4f28-988b-3137d6fb63c9",
                            Email = "admin@admin.com",
                            EmailConfirmed = false,
                            LockoutEnabled = false,
                            Name = "Pavel Katsarov",
                            NormalizedEmail = "ADMIN@ADMIN.COM",
                            NormalizedUserName = "ADMIN@ADMIN.COM",
                            PasswordHash = "AQAAAAEAACcQAAAAEHp0HtaYPRqa/Cow0mABB8uz7ScmWNeM6wzF865MWu9MHmtIhLfsHtuXH+4XUzJV1g==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "8be90b30-958a-4185-935d-d7ba2b19765c",
                            TwoFactorEnabled = false,
                            UnbannedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            UserName = "admin@admin.com"
                        },
                        new
                        {
                            Id = 2,
                            AccessFailedCount = 0,
                            Age = 26,
                            BannedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            ConcurrencyStamp = "5f623fbe-cf97-478d-990c-70354fcb6550",
                            Email = "user@user.com",
                            EmailConfirmed = false,
                            LockoutEnabled = false,
                            Name = "Pesho Popov",
                            NormalizedEmail = "USER@USER.COM",
                            NormalizedUserName = "USER@USER.COM",
                            PasswordHash = "AQAAAAEAACcQAAAAEK+ypjiY4CeUHSFw6sWLFFLetoodOGsGQQ/V8+f9MO/sip/BIdgOT/dbNx4RABX8oQ==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "19298324-9f27-469a-b88d-bd5c765de84d",
                            TwoFactorEnabled = false,
                            UnbannedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            UserName = "user@user.com"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.WishList", b =>
                {
                    b.Property<int>("BeerId")
                        .HasColumnType("int");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("BeerId", "UserId");

                    b.HasIndex("UserId");

                    b.ToTable("WishList");

                    b.HasData(
                        new
                        {
                            BeerId = 3,
                            UserId = 1
                        },
                        new
                        {
                            BeerId = 2,
                            UserId = 1
                        },
                        new
                        {
                            BeerId = 3,
                            UserId = 2
                        });
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<int>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("RoleId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<int>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<int>", b =>
                {
                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderKey")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<int>", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.Property<int>("RoleId")
                        .HasColumnType("int");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");

                    b.HasData(
                        new
                        {
                            UserId = 2,
                            RoleId = 1
                        },
                        new
                        {
                            UserId = 1,
                            RoleId = 2
                        });
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<int>", b =>
                {
                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("BeerOverflow.Models.Beer", b =>
                {
                    b.HasOne("BeerOverflow.Models.Brewery", "Brewery")
                        .WithMany("Beers")
                        .HasForeignKey("BreweryID");

                    b.HasOne("BeerOverflow.Models.Style", "Style")
                        .WithMany("Beers")
                        .HasForeignKey("StyleID");
                });

            modelBuilder.Entity("BeerOverflow.Models.Brewery", b =>
                {
                    b.HasOne("BeerOverflow.Models.Country", "Country")
                        .WithMany("Breweries")
                        .HasForeignKey("CountryID");
                });

            modelBuilder.Entity("BeerOverflow.Models.DrankList", b =>
                {
                    b.HasOne("BeerOverflow.Models.Beer", "Beers")
                        .WithMany("DrankLists")
                        .HasForeignKey("BeerId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Models.User", "Users")
                        .WithMany("DrankLists")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Models.Rating", b =>
                {
                    b.HasOne("BeerOverflow.Models.Beer", "Beer")
                        .WithMany("Ratings")
                        .HasForeignKey("BeerID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Models.User", "User")
                        .WithMany("Ratings")
                        .HasForeignKey("UserID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Models.Review", b =>
                {
                    b.HasOne("BeerOverflow.Models.Beer", "Beer")
                        .WithMany("Reviews")
                        .HasForeignKey("BeerID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Models.User", "User")
                        .WithMany("Reviews")
                        .HasForeignKey("UserID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Models.WishList", b =>
                {
                    b.HasOne("BeerOverflow.Models.Beer", "Beers")
                        .WithMany("WishLists")
                        .HasForeignKey("BeerId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Models.User", "Users")
                        .WithMany("WishLists")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<int>", b =>
                {
                    b.HasOne("BeerOverflow.Models.Role", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<int>", b =>
                {
                    b.HasOne("BeerOverflow.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<int>", b =>
                {
                    b.HasOne("BeerOverflow.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<int>", b =>
                {
                    b.HasOne("BeerOverflow.Models.Role", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<int>", b =>
                {
                    b.HasOne("BeerOverflow.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
